# Upload$list\_variables

### Upload$<mark style="color:purple;">list\_variables</mark>(*max\_results=None*) → **list<**[**Variable**](/api/client-libraries/redivis-r/reference/variable.md)**>**

Returns a list of variables associated with the current upload. Each entry in the list will be an instance of a [Variable](/api/client-libraries/redivis-r/reference/variable.md), whose properties are populated with the values on the [variable.list resource definition](/api/resource-definitions/variable.md).

Note that the variables list on an upload will not be empty until it has finished importing successfully.

### **Parameters:**

**`max_results` :&#x20;*****int, default None***\
If specified, will only return up to max\_results variables

### **Returns:**&#x20;

**list<**[**Variable**](/api/client-libraries/redivis-r/reference/variable.md)**>**


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/reference/upload/uploadusdlist_variables.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
